New Event

Create one or more events within an event concept.


Endpoint

POST https://business.festivalcadeau.com/api/endpoint/v1/newevent

Request Parameters

Required Fields

Parameter Type Description
apikey string Your unique API key
events array Array of event objects (see below)
events[].eventprovider_id string ID of the event provider
events[].event_name string Name of the event
events[].event_organiser string Company name of the event organiser
events[].event_start_date string Start date in yyyy-mm-dd format (must be in the future)
events[].event_start_time string Start time in hh:ii:ss format
events[].ticket_link string Link where customers can buy tickets

Highly Recommended Fields

Parameter Type Description
building_name string Name of the venue or building
streetname string Street of the event location
streetnumber string House number
zipcode string Postal code
city string City
country string Country
poster_url string URL to the event poster image
banner_url string URL to the event banner image
event_introductiontext string Event description

Optional Fields

Parameter Type Description
genre string Comma-separated list of music genres
event_end_date string End date in yyyy-mm-dd format
event_end_time string End time in hh:ii:ss format
activated int 0 = not published, 1 = published
event_key string Unique key for your system
lineup string Comma-separated list of artists
minimumage string Minimum age for the event
event_price string Starting price in euro
event_videourl string Link to a promotional video
event_link string URL to the event website

Example Request

{
    "apikey": "your_unique_api_key",
    "events": [
        {
            "eventprovider_id": "event_provider_id_1",
            "event_name": "Event 1",
            "event_organiser": "Organiser 1",
            "event_key": "event_key_1",
            "event_start_date": "2025-07-20",
            "event_start_time": "18:00:00",
            "event_end_date": "2025-07-21",
            "event_end_time": "00:00:00",
            "genre": "Rock, Pop",
            "lineup": "Artist 1, Artist 2",
            "minimumage": "18",
            "building_name": "Venue 1",
            "streetname": "Street 1",
            "streetnumber": "14B",
            "zipcode": "1012 NX",
            "city": "Amsterdam",
            "country": "The Netherlands",
            "event_price": "50",
            "event_videourl": "http://videourl.com/1",
            "event_introductiontext": "This is a description for Event 1.",
            "poster_url": "http://posterurl.com/1",
            "banner_url": "http://bannerurl.com/1",
            "ticket_link": "http://ticketlink.com/1",
            "event_link": "http://eventwebsite.com/1"
        }
    ]
}

Response

Success 200 OK

[
    {
        "message": "Event created successfully",
        "id": 3408,
        "title": "Liquicity 2023"
    }
]

Error 401

{"error": "API key not valid"}